<!DOCTYPE html>
<html>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<head>
<title>Factorial Using Javascript </title>
</head>

<body>
   <div id="input">
      <p>How to find a factorial of a number ? </p>
      <input type="number" id="num">
      <button onclick="myFunction()">Show</button>
   </div>
   <div id="ans">
      <p id="an"></p>
   </div>

   <!-- Java Script Code -->
   <script>
      function myFunction() {
         var num = document.getElementById("num").value
         ans = 1
         m = num
         for (let i = 0; i < num; i++) {
            ans = ans*m;
            m=m-1
         }
         document.getElementById("an").innerHTML  = "The factorial number "+num+" is "+ans;
      }

   </script>

</body>
</html>